Bug 873123 (cups-usb-quirks) - usb printer doesn't print (usblp0: USB Bidirectional printer dev)
Summary: usb printer doesn't print (usblp0: USB Bidirectional printer dev)
Keywords:
Status: MODIFIED
Alias: cups-usb-quirks
Product: Fedora
Classification: Fedora
Component: cups
Version: 30
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-05 08:12 UTC by Jiri Popelka
Modified: 2019-05-10 10:52 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 19:56:11 UTC


Attachments (Terms of Use)
Output Troubleshooter (106.50 KB, text/plain)
2013-05-10 16:09 UTC, Martin Kho
no flags Details
dmesg (61.33 KB, text/plain)
2013-05-10 16:11 UTC, Martin Kho
no flags Details

Description Jiri Popelka 2012-11-05 08:12:25 UTC
[54108.506635] usblp 2-1.2:1.0: usblp0: USB Bidirectional printer dev 4 if 0 alt 1 proto 2 vid 0x067B pid 0x2305
[54285.798167] usblp0: removed

If you can't print and see similar lines as above in log, please follow these instructions:

Attach the output of lsusb.

In a terminal window, run the command
lpadmin -p <printer> -o usb-unidir-default=true
with <printer> being the name of your printer as displayed by the "lpstat -p" command.

Now turn off and turn on your printer, then try to print several jobs. Does this solve the problem?

If not, run
lpadmin -p <printer> -R usb-unidir-default
and then
lpadmin -p <printer> -o usb-no-reattach-default=true

Again, turn off and turn on your printer, then try to print several jobs. Does this solve the problem?

If not, try
lpadmin -p <printer> -o usb-no-reattach-default=true
lpadmin -p <printer> -o usb-unidir-default=true
and turn off and turn on your printer, then try to print several jobs. Does this solve the problem?

Please tell what works for you. Thanks

If nothing works, reset all to defaults via
lpadmin -p <printer> -R usb-no-reattach-default
lpadmin -p <printer> -R usb-unidir-default

Comment 2 Karel Volný 2012-11-17 10:31:43 UTC
(In reply to comment #0)
> [54108.506635] usblp 2-1.2:1.0: usblp0: USB Bidirectional printer dev 4 if 0
> alt 1 proto 2 vid 0x067B pid 0x2305
> [54285.798167] usblp0: removed

like this:

[ 4139.786648] usb 2-1.2: new full-speed USB device number 3 using ehci_hcd
[ 4139.873622] usb 2-1.2: New USB device found, idVendor=067b, idProduct=2305
[ 4139.873630] usb 2-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 4139.873635] usb 2-1.2: Product: IEEE-1284 Controller
[ 4139.873638] usb 2-1.2: Manufacturer: Prolific Technology Inc.
[ 4139.966363] usblp 2-1.2:1.0: usblp0: USB Bidirectional printer dev 3 if 0 alt 1 proto 2 vid 0x067B pid 0x2305
[ 4139.966428] usbcore: registered new interface driver usblp
[ 4141.077106] usblp0: removed
[ 4141.137747] usblp 2-1.2:1.0: usblp0: USB Bidirectional printer dev 3 if 0 alt 1 proto 2 vid 0x067B pid 0x2305
[ 4184.660038] usblp0: removed
[ 4233.225295] usb 2-1.2: reset full-speed USB device number 3 using ehci_hcd

> If you can't print and see similar lines as above in log, please follow
> these instructions:

however, printing now works for me - although with some troubles from time to time

> Attach the output of lsusb.

# lsusb
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 0a5c:217f Broadcom Corp. Bluetooth Controller
Bus 001 Device 004: ID 17ef:480f Lenovo Integrated Webcam [R5U877]
Bus 002 Device 003: ID 067b:2305 Prolific Technology, Inc. PL2305 Parallel Port

> In a terminal window, run the command
> lpadmin -p <printer> -o usb-unidir-default=true
> with <printer> being the name of your printer as displayed by the "lpstat
> -p" command.
> 
> Now turn off and turn on your printer, then try to print several jobs. Does
> this solve the problem?

like no more "usblp0: removed"?

or that printing works okay?
- ask me in a few weeks :-) whether I've experienced any of the problems (like job not starting until I hit the button on the printer and mangled graphics)

btw, does that setting survive reboot or should I put that into some config file?

Comment 3 Pavel Šimerda (pavlix) 2013-02-14 16:05:36 UTC
Doesn't work for me with a specific printer Epson CX11NF. Tried all the quirk without success. Doesn't print even over Ethernet.

Comment 4 Pavel Šimerda (pavlix) 2013-02-14 16:07:23 UTC
(In reply to comment #3)
> Doesn't work for me with a specific printer Epson CX11NF. Tried all the
> quirk without success. Doesn't print even over Ethernet.

dmesg output after connecting the printer:

[ 4189.003073] usb 4-1: new full-speed USB device number 8 using uhci_hcd
[ 4189.161121] usb 4-1: New USB device found, idVendor=04b8, idProduct=0815
[ 4189.161133] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 4189.161141] usb 4-1: Product: USB2.0 MFP
[ 4189.161148] usb 4-1: Manufacturer: EPSON
[ 4189.161154] usb 4-1: SerialNumber: 34PGFMZ10908150922
[ 4189.174355] usblp 4-1:1.1: usblp0: USB Bidirectional printer dev 8 if 1 alt 0 proto 2 vid 0x04B8 pid 0x0815

Subsequent dmesg output when I try to print a test page (and a self test page):

[ 4190.274668] usblp0: removed
[ 4190.287457] usblp 4-1:1.1: usblp0: USB Bidirectional printer dev 8 if 1 alt 0 proto 2 vid 0x04B8 pid 0x0815
[ 4197.154059] usblp0: removed

Comment 5 Jiri Popelka 2013-02-14 16:54:16 UTC
(In reply to comment #3)
> Doesn't print even over Ethernet.

It might be a different issue then, because this is usb backend specific bug.
Please fill a new report and add an output from system-config-printer's printing troubleshooter there.

https://fedoraproject.org/wiki/How_to_debug_printing_problems#Printing_troubleshooter

Comment 6 Martin Kho 2013-05-10 07:48:06 UTC
Hi,

FYI: I've this issue with a HP laserjet 2200d. The second step - lpadmin -p <printer> -R usb-unidir-default and then lpadmin -p <printer> -o usb-no-reattach-default=true - works for me for just one printjob. Step one and three don't work.

Btw. The automatic configuration of my printer using the Foometic/postscript driver has never worked in Fedora 16, 17, so I used hplip/hpijs which worked fine until now.

Martin Kho


Output libusb after boot:
Bus 002 Device 003: ID 046d:0825 Logitech, Inc. Webcam C270
Bus 006 Device 002: ID 03f0:0217 Hewlett-Packard LaserJet 2200
Bus 008 Device 002: ID 046d:c404 Logitech, Inc. TrackMan Wheel
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

the Device number changes (+1) after each subsequent turning off/on cycle

Comment 7 Jiri Popelka 2013-05-10 10:34:03 UTC
Do I understand it correctly that when you do:
lpadmin -p <printer> -o usb-no-reattach-default=true
then turn off and on the printer and try to print several jobs
only the first job succeeds ?

Please attach output of
su -c "lpinfo -l -v" | grep device-id | grep MDL

Comment 8 Martin Kho 2013-05-10 11:20:08 UTC
Hi Jiri,

Yes, correct just once! Makes the case more fun isn't it ;-) It looks like the hole usb stack has been broken lately. I've seen troubles with webcams and Fedora 18/19. On the Sane-devel list is a discussion going about multiple function devices (scanner/printer). Tried Kubuntu 13.04 and got the same issue (kernel 3.8.0). To be sure it is not failing hardware I tried openSuse 12.2 (kernel 3.4). There were no problems.

Martin Kho

Output of lpinfo -l -v" | grep device-id | grep MDL:

device-id = MFG:Hewlett-Packard;CMD:PJL,MLC,PCL,PCLXL,POSTSCRIPT;MDL:HP LaserJet 2200;CLS:PRINTER;DES:Hewlett-Packard LaserJet 2200;MEM:40MB

Comment 9 Jiri Popelka 2013-05-10 15:23:54 UTC
Thanks Martin,

I've added the device-id to hplip so once hplip-3.13.4-3 is in stable it'll be chosen as a default driver for your printer by the 'automatic configuration'.

Regarding the printing issue:
can you attach (using the 'Add an attachment' link above) output from printing troubleshooter when trying to print the "second" (or any other *unsuccessful* job) ?
https://fedoraproject.org/wiki/How_to_debug_printing_problems#Printing_troubleshooter
also 'dmesg' output could be useful.

Comment 10 Martin Kho 2013-05-10 16:09:14 UTC
Created attachment 746236 [details]
Output Troubleshooter

Comment 11 Martin Kho 2013-05-10 16:11:16 UTC
Created attachment 746237 [details]
dmesg

Comment 12 Martin Kho 2013-05-11 10:58:10 UTC
Hi,

FYI: Now my printer connected with a - good old - parallel cable - yes my desktop still has a parallel port ;-) - and printing is fine.

Martin Kho

Comment 13 nucleo 2013-07-08 19:26:46 UTC
uname: Linux localhost.localdomain 3.9.9-301.fc19.i686 #1 SMP Thu Jul 4 15:35:21 UTC 2013 i686 i686 i386 GNU/Linux

lsusb: Bus 004 Device 002: ID 04e8:3256 Samsung Electronics Co., Ltd ML-1520 Laser Printer

I have repetitive messages at every job, printing works:
kernel: usblp0: removed
kernel: usblp 4-2:1.0: usblp0: USB Bidirectional printer dev 7 if 0 alt 0 proto 2 vid 0x04E8 pid 0x3256
kernel: usblp0: removed
kernel: usb 4-2: reset full-speed USB device number 7 using uhci_hcd
kernel: usblp 4-2:1.0: usblp0: USB Bidirectional printer dev 7 if 0 alt 0 proto 2 vid 0x04E8 pid 0x3256
kernel: usblp0: removed
kernel: usblp 4-2:1.0: usblp0: USB Bidirectional printer dev 7 if 0 alt 0 proto 2 vid 0x04E8 pid 0x3256
kernel: usblp0: removed
kernel: usb 4-2: reset full-speed USB device number 7 using uhci_hcd
kernel: usblp 4-2:1.0: usblp0: USB Bidirectional printer dev 7 if 0 alt 0 proto 2 vid 0x04E8 pid 0x3256


Nothing changed after this command
> lpadmin -p <printer> -o usb-unidir-default=true

After this commands "usblp0: removed" shown once, then repetitive "reset full-speed USB" with every print job, printing works
> lpadmin -p <printer> -R usb-unidir-default
> lpadmin -p <printer> -o usb-no-reattach-default=true

kernel: usblp0: removed
kernel: usb 4-2: reset full-speed USB device number 9 using uhci_hcd
kernel: usb 4-2: reset full-speed USB device number 9 using uhci_hcd

After this commands printing don't work, printer only blinking as when accepting job
lpadmin -p <printer> -o usb-no-reattach-default=true
lpadmin -p <printer> -o usb-unidir-default=true

kernel: usblp0: removed
kernel: usb 4-2: reset full-speed USB device number 10 using uhci_hcd

Comment 14 Jiri Popelka 2013-07-09 08:29:54 UTC
(In reply to nucleo from comment #13)
> ... printing works:

thanks, but AFAICT this bug does not concern you then

Comment 15 Martin Kho 2013-07-09 08:35:29 UTC
Hi,

FYI: AS A WORKAROUND[1]!. For those who use the HPLIP/HPIJS family printer drivers, - and have this issue ;-) - have to check if the hp://usb.. uri is used instead of cups' usb://HP.... Use the gui or command hp-makeuri to get the hp uri. Besides I had to blacklist the usblp module. In fedora 19 I created the file /etc/modules.d/blacklistusblp.conf that  contains the line:

blacklist usblp

Blacklisting the module was necessary to solve a non fatal 'device communication error".


HTH,

Martin Kho


[1] https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/162016/comments/2

Comment 16 Fedora End Of Life 2013-12-21 15:10:40 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Volodymyr M. Lisivka 2014-01-05 17:32:43 UTC
Use following workaround on Fedora 19: issue command "rmmod usblp", then power-off and power-on printer.

dmesg output _with_ usblp module:

[195060.522389] lp: driver loaded but no devices found
[195359.636386] usb 2-1: USB disconnect, device number 25
[195361.960693] usb 2-1: new high-speed USB device number 26 using ehci-pci
[195362.097568] usb 2-1: New USB device found, idVendor=03f0, idProduct=4117
[195362.097580] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[195362.097587] usb 2-1: Product: HP LaserJet 1018
[195362.097593] usb 2-1: Manufacturer: Hewlett-Packard
[195362.097598] usb 2-1: SerialNumber: KP1RRQ1
[195362.101852] usblp 2-1:1.0: usblp0: USB Bidirectional printer dev 26 if 0 alt 0 proto 2 vid 0x03F0 pid 0x4117
[195365.313513] usblp0: removed

dmesg output _without_ usblp module:

[195520.426412] usbcore: deregistering interface driver usblp
[195524.719502] usb 2-1: USB disconnect, device number 26
[195526.179621] usb 2-1: new high-speed USB device number 27 using ehci-pci
[195526.316004] usb 2-1: New USB device found, idVendor=03f0, idProduct=4117
[195526.316015] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[195526.316023] usb 2-1: Product: HP LaserJet 1018
[195526.316028] usb 2-1: Manufacturer: Hewlett-Packard
[195526.316033] usb 2-1: SerialNumber: KP1RRQ1
[195529.902103] systemd[1]: Unit configure-printer@usb-002-025.service entered failed state.
[195534.939957] usblp: can't set desired altsetting 0 on interface 0
[195534.940059] usbcore: registered new interface driver usblp

Comment 18 Volodymyr M. Lisivka 2014-01-17 16:53:13 UTC
(In reply to Volodymyr M. Lisivka from comment #17)
> Use following workaround on Fedora 19: issue command "rmmod usblp", then
> power-off and power-on printer.

Does not help anymore after upgrade. :-/

Comment 19 Andrea Giardini 2014-03-03 18:32:30 UTC
I removed/reinstalled the printer (Brother DCP-7055) a couple of times and (i don't know how) it started working.

After a while it locked up again with this error in dmesg:

[ 1620.168261] colord-sane[7102]: segfault at 1 ip 00007feb948327e0 sp 00007feb94804cc8 error 4
[ 1620.168268] colord-sane[3330] general protection ip:7feb9482e63c sp:7fffcb259b78 error:0 in libdbus-1.so.3.7.2[7feb94806000+44000] in libdbus-1.so.3.7.2[7feb94806000+44000]

Comment 20 Jan Kurik 2015-07-15 14:57:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 21 Fedora Admin XMLRPC Client 2016-06-24 10:30:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 22 Marcin Juszkiewicz 2016-10-06 15:42:34 UTC
[  899.213389] usb 2-1.1: new high-speed USB device number 8 using ehci-pci
[  899.295519] usb 2-1.1: New USB device found, idVendor=04e8, idProduct=330f
[  899.295523] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  899.295524] usb 2-1.1: Product: ML-2160 Series
[  899.295526] usb 2-1.1: Manufacturer: Samsung Electronics Co., Ltd.
[  899.295528] usb 2-1.1: SerialNumber: Z6RMB8GCCD015FD
[  899.299010] usblp 2-1.1:1.0: usblp0: USB Bidirectional printer dev 8 if 0 alt 0 proto 2 vid 0x04E8 pid 0x330F
[  904.471153] usblp0: removed
[  904.474807] usblp 2-1.1:1.0: usblp0: USB Bidirectional printer dev 8 if 0 alt 0 proto 2 vid 0x04E8 pid 0x330F
[  904.524644] usblp0: removed

Fedora 24 with 4.7.2 kernel and with 4.8.0/fc25 kernel. Samsung ML-2160 printer.

I would like to be able to print again...

Comment 23 Jiri Popelka 2016-10-06 15:53:50 UTC
Marcin, have you tried the work-arounds from comment #0 ?

Comment 24 Marcin Juszkiewicz 2016-10-06 18:55:29 UTC
(In reply to Jiri Popelka from comment #23)
> Marcin, have you tried the work-arounds from comment #0 ?

Tried. replugged printer on each off/on cycle (this printer is on USB bus even when turned off). No help.

Printer worked when rawhide was f24. I just do not print too often so did not noticed.

Comment 25 Marcin Juszkiewicz 2016-11-07 13:22:11 UTC
Updated to F25. 

Called "lpadmin -p Samsung_ML-2160_Series -o usb-unidir-default=true" and after printer's power cycle it works.

Comment 26 Jiri Popelka 2016-11-07 13:55:27 UTC
Zdenek,

0x04e8 0x330f unidir

needs to be added to backend/org.cups.usb-quirks

see our http://pkgs.fedoraproject.org/cgit/rpms/cups.git/tree/cups-libusb-quirks.patch

Comment 27 Zdenek Dohnal 2016-11-07 15:07:40 UTC
Thanks Jirka,

I'll add it.

Comment 28 Zdenek Dohnal 2016-11-07 18:29:59 UTC
Built for f25 (http://koji.fedoraproject.org/koji/taskinfo?taskID=16338493) and rawhide.

Comment 29 Marcin Juszkiewicz 2016-11-25 16:44:46 UTC
(In reply to Marcin Juszkiewicz from comment #25)
> Updated to F25. 
> 
> Called "lpadmin -p Samsung_ML-2160_Series -o usb-unidir-default=true" and
> after printer's power cycle it works.

I was too optimistic. Printer is as dead as it was again. Next one will have to have internal printserver.

Comment 30 FroL_Onn 2017-04-21 07:50:07 UTC
Have the same problem for HP LaserJet 1020 on Fedora 25.

The dmesg part is:

[ 4112.839668] usb 2-1.1: USB disconnect, device number 44
[ 4139.890782] usb 2-1.2: new high-speed USB device number 45 using ehci-pci
[ 4139.991123] usb 2-1.2: New USB device found, idVendor=03f0, idProduct=2b17
[ 4139.991130] usb 2-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 4139.991134] usb 2-1.2: Product: HP LaserJet 1020
[ 4139.991138] usb 2-1.2: Manufacturer: Hewlett-Packard
[ 4139.991141] usb 2-1.2: SerialNumber: JL26PQA
[ 4139.994620] usblp 2-1.2:1.0: usblp0: USB Bidirectional printer dev 45 if 0 alt 0 proto 2 vid 0x03F0 pid 0x2B17
[ 4142.850755] usblp0: removed

Is there any way of making a printer to always work without powering it off and on again?

Comment 31 Fedora End Of Life 2017-11-16 19:30:52 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 32 olinart 2018-02-16 01:33:42 UTC
I have the same problem on Fedora 26

usblp 2-1.3:1.0: usblp0: USB Bidirectional printer dev 48 if 0 alt 0 proto 2 vid 0x03F0 pid 0x4117
[167065.010508] usblp0: removed

The first time I tried
lpadmin -p HP_LaserJet_1018 -o usb-unidir-default=true

and power cycled, this message went away, and printing was successful.

Now the message has reappeared and none of the fixes in this post 
lpadmin -p HP_LaserJet_1018 -R usb-unidir-default
rmmod usblp
lpadmin -p HP_LaserJet_1018 -o usb-no-reattach-default

in different orders stopped the device removed message, and the printer is not found by hp-probe.

Present state of options is 
lpoptions
copies=1 device-uri=hp://usb/HP_LaserJet_1018?serial=KP1499D finishings=3 job-cancel-after=10800 job-hold-until=no-hold job-priority=50 job-sheets=none,none marker-change-time=0 number-up=1 printer-commands=none printer-info printer-is-accepting-jobs=true printer-is-shared=true printer-location printer-make-and-model='HP LaserJet 1018, hpcups 3.17.11, requires proprietary plugin' printer-state=5 printer-state-change-time=1518720101 printer-state-reasons=paused printer-type=167964 printer-uri-supported=ipp://localhost/printers/HP_LaserJet_1018 usb-reattach=true usb-unidir=true

I did not have this problem with the same printer on fedor24, but my hplib was upgraded to 3.17.11 at the same time.

This seems to be a longstanding but that keeps getting fixed and then the fix is lost in the next update.

Comment 33 Ben Cotton 2018-11-27 16:59:11 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 34 Ben Cotton 2018-11-30 19:56:11 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 35 Ben Cotton 2019-02-19 17:11:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 36 werter 2019-04-08 09:34:18 UTC
Hi.

It must be modified for your RH-based distro !

How to with HP LJ 1000, foo2zjs and debian :)

# Disable USB autosuspend
cat > /etc/udev/rules.d/50-usb_power_always_on.rules <<'EOF'
ACTION=="add", SUBSYSTEM=="usb", TEST=="power/control", ATTR{power/control}="on"
EOF

# Fix " ohci-pci... : frame counter not updating; disabled"
#http://billauer.co.il/blog/2013/02/usb-reset-ehci-uhci-linux/
cat > /usr/local/sbin/check_usb.sh <<'EOF'
#!/usr/bin/env bash
#http://redsymbol.net/articles/unofficial-bash-strict-mode/
#set -euxo pipefail
#set -euo pipefail
# set -x
IFS=$'\n\t'

# Set the local
export LANG="en_US.UTF-8"
export LC_ALL="C"

clear

# Check if running as root
if [[ "$(id -u)" != "0" ]]; then
    echo "This script must be run as root!"
    sleep 3
    exit 1
fi

if ! lsusb | grep -iq Laser; then

 for hci in /sys/bus/pci/drivers/?hci-pci; do

 if ! cd $hci ; then
 # echo Weird error. Failed to change directory to ${hci}
 exit 1
 fi

 # echo Resetting devices from $hci…

 for i in ????:??:??.?; do
  echo -n "$i" > unbind
  echo -n "$i" > bind
  # read -t5
  sleep 5
 done
done
fi
EOF
chmod 755 /usr/local/sbin/check_usb.sh

crontab -l 2>/dev/null | { cat; echo -e "#\\n*/2 * * * * root /bin/bash /usr/local/sbin/check_usb.sh >/dev/null 2>&1\\n#"; } | crontab -

# CUPS
apt install -y --no-install-recommends cups lpr psutils colord

cat > /etc/apt/sources.list.d/unstable.list <<EOF
deb http://ftp.debian.org/debian unstable main
deb-src http://ftp.debian.org/debian unstable main
EOF
apt_update; apt install -y --no-install-recommends poppler-utils
rm -fv /etc/apt/sources.list.d/unstable.list; apt_update

apt purge -y printer-driver-gutenprint; apt autoremove -y --purge || true

USER_NAME='user'
usermod -aG sudo ${USER_NAME}
usermod -a -G lpadmin ${USER_NAME}

cp -v /etc/cups/cupsd.conf{,.orig}
sed -i -e 's/^Listen localhost.*$/Listen 0.0.0.0:631/g; /^<\/Location>/i Allow all' /etc/cups/cupsd.conf
echo -e "\nAccessLogLevel config\nAutoPurgeJobs Yes\nPreserveJobFiles No\nPreserveJobHistory No\nServerTokens None\nServerAlias *\nHostNameLookups Off" >> /etc/cups/cupsd.conf
#Temporary switch loglevel for tests
sed -i -e 's/^\(LogLevel\).*$/\1 debug2/g' /etc/cups/cupsd.conf

/etc/init.d/cups restart

# Foo2zjs
#http://foo2zjs.rkkda.com/
#https://github.com/koenkooi/foo2zjs/blob/master/INSTALL 
#
# For ALL supported printers
apt install --no-install-recommends -y build-essential tix foomatic-filters groff dc ghostscript 
wget http://foo2zjs.rkkda.com/foo2zjs.tar.gz \
&& tar xzfv foo2zjs.tar.gz \
&& cd foo2zjs \
&& make \
&& /bin/sh getweb all
make install \
&& make install-hotplug \
&& make cups
cp -v DL*.icm CP*.icm km2430*.icm /usr/share/foo2zjs/icm/
cp -v hpclj26*.icm km2430*.icm /usr/share/foo2hp/icm
find . -type f -iname '*.img' -exec sh -c 'arm2hpdl $0 > /usr/share/foo2zjs/firmware/${0%.img}.dl' {} \; \
cd ~ \
&& rm -rfv foo*
ls -alh /usr/share/foo2zjs/firmware; sleep 3

apt install -y --reinstall --no-install-recommends cups lpr psutils colord
/etc/init.d/cups restart

# Add printer
#Remove ALL printers
for printer in $(lpstat -p | awk '{print $2}'); do echo Deleting ${printer}; lpadmin -x $printer; done || true
/etc/init.d/cups stop
cp -v /etc/cups/printers.conf{,.orig} && >/etc/cups/printers.conf || true
/etc/init.d/cups restart

# Add HP LJ 1000 printer
PRINTER_MODEL='HP_LaserJet_1000'
printf "\\n"
while ! lsusb | grep -iq Laser; do
  echo "Printer not connected? Check USB cable "; sleep 0.75; tput cuu1; tput el
done

lpadmin -p ${PRINTER_MODEL} -D "" -E -v "file:///dev/usb/lp0" -P "/usr/share/cups/model/HP-LaserJet_1000.ppd.gz" -o PageSize=A4 -o InputSlot=Upper
lpadmin -d ${PRINTER_MODEL}
/etc/init.d/cups restart && sleep 5
lpinfo -v && sleep 3

apt purge -y build-essential; apt autoremove -y --purge

# And goto https://localhost/admin/ in your browser :)

# If all is OK, switch loglevel to default
sed -i -e 's/^\(LogLevel\).*$/\1 warn/g' /etc/cups/cupsd.conf


Try this. It's REALLY worked  :)

Comment 37 werter 2019-04-08 09:42:34 UTC
# Forgot :(
apt_update() {
  rm -vrf /var/lib/apt/lists /var/cache/apt/archives /var/lib/dpkg/lock
  dpkg --configure -a
  apt clean
  apt update --fix-missing
  apt install -f
  dpkg --configure -a
  apt autoremove --purge -y
  apt autoclean
}

Comment 38 Brent R Brian 2019-05-10 10:52:06 UTC
Please close this ticket ... that was two printers ago ...


Note You need to log in before you can comment on or make changes to this bug.